package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Supplier_reportRepository;
import com.realnet.vpspack.Entity.Supplier_report
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




















	import org.springframework.stereotype.Service;

@Service
 public class Supplier_reportService {
@Autowired
private Supplier_reportRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



















public Supplier_report Savedata(Supplier_report data) {




















	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Supplier_report save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Supplier_report> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Supplier_report> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Supplier_report> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Supplier_report getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Supplier_report update(Supplier_report data,Integer id) {
	Supplier_report old = Repository.findById(id).get();
old.setEntry_date_form(data.getEntry_date_form());

old.setEntry_date_to(data.getEntry_date_to());

old.setFull_name(data.getFull_name());

old.setApplication_code(data.getApplication_code());

old.setNationality(data.getNationality());

old.setSupplier(data.getSupplier());

old.setPassport_number(data.getPassport_number());

old.setFilter_btn(data.getFilter_btn());

old.setReset_btn(data.getReset_btn());

old.setSupplier_report_line(data.getSupplier_report_line());

final Supplier_report test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




















 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
